name: Build
run-name: ${{ gitea.actor }} build and test
on: [push]

jobs:
  build:
    runs-on: olympic
    steps:
      - name: Check out repository code
        uses: actions/checkout@v3
      - run: make purge configure-debug
      - run: make build
      - run: make test
      - run: make purge configure-asan
      - run: make build
      - run: make test
      - run: make purge configure-release
      - run: make build
      - run: make test
      - run: make install
      - run: mv dist/linux-x86_64-release nostalgia-linux-x86_64
      - run: tar cf nostalgia-linux-x86_64.tar nostalgia-linux-x86_64
      - uses: actions/upload-artifact@v3
        with:
          name: nostalgia-linux-x86_64
          path: nostalgia-linux-x86_64.tar
